PImage img;
int cellsizeX =7; 
int cellsizeY = 3;
int columns, rows;  

void setup() {
  size(1000, 1000); 
  img = loadImage("portrait.jpg");  
  columns = img.width / cellsizeX;  
  rows = img.height / cellsizeY;
}

void draw() {
  background(0);
  for ( int i = 0; i < columns; i++) {
    for ( int j = 0; j < rows; j++) {
      int x = i*cellsizeX + cellsizeX/4; 
      int y = j*cellsizeY + cellsizeY/4; 
      int loc = x + y*img.width; 

      pushMatrix();
      translate(x, y);
        float dimY=(cellsizeY)*brightness(img.pixels[loc])/255;
        float rot=random(200);
        
        float b=random(255);
        float c=random(125,255);
        
        
        color c1 = color(255,b,c);

        
      rotate(rot*PI/255);
      scale(dimY*1.25);
      //fill(255);
      
      fill(c1);

      noStroke();  
      rectMode(CENTER);
      //rect(0, 0, dimY*cellsizeX, dimY*cellsizeY);
      triangle(cellsizeX/2, cellsizeY, cellsizeX/4, cellsizeY/3, cellsizeX/2, cellsizeY/6);
      //rect(cellsizeX/2, cellsizeY/2, cellsizeX, cellsizeY);
      //ellipseMode(CENTER);
      //ellipse(0, 0, cellsizeX, cellsizeY);
      popMatrix();
      //noLoop();
    }
  }
}
void mouseReleased() {
  saveFrame(); 
}
